<script lang="ts">
  import { KeycloakStore } from '@auth/keycloak';
  import type { KeycloakInterface } from '@auth/keycloak';

  export let location = new URL(window.location).searchParams.get('referer');
  let keycloak: KeycloakInterface | undefined;

  KeycloakStore.subscribe((value) => (keycloak = value.keycloak));
</script>

<svelte:head>
  <title>Unauthorized</title>
</svelte:head>

<div class="container">
  <div class="alert alert-danger m-4">
    <h2 class="alert-heading">Unauthorized</h2>
    You are not authorized to view
    {#if location}
      <a href={location}>{location}</a>
    {:else}
      this page.
    {/if}
    <hr />
    If you believe you should have access to this page, please reach out for support in Discord.

    {#if location && !keycloak?.authenticated}
      <a href="/login?referer={location}">Authenticate and try again?</a>
    {/if}
  </div>
</div>
